Subject: Re: enhanced RTC and SMP on PowerMac

From: "Charles E. Leiserson, Jr." <[email-masked]>
Date: Thu, 06 Jan 2000 03:20:44 EST

> > Is enhanced RTC supposed to work on PowerMac?  When I compile with
> > CONFIG_RTC, the kernel doesn't boot up and dies when it hits the following
> > line:
> > 
> >    /* Initialize periodic freq. to CMOS reset default, which is 1024Hz */
> >    CMOS_WRITE(((CMOS_READ(RTC_FREQ_SELECT) & 0xF0) | 0x06), RTC_FREQ_SELECT);
> 
> I have the same problem.  I dont think it should work.  (CMOS on a ppc?)
> 
> I have noticed that the 'clock' program seems to access the rtc.  Assuming it
> is, it may have the code we want to put in the kernel.

Don't use the RTC option.  That's only for x86.  Also, SMP appears to be broken on 2.2.14.

					- Ricky

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/